------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]道士剧情6
--Creator:		江宇君
--Created:		2021-11-12
------------------------------------------------------------------------------------
-- 设置摄像机指向位置(网格坐标)
--/callluafunc </F>User_PlayPlot</N>237
--/reloadlua Script/TaoistNewAreaTask1.lua

-- CppScriptMgr:SetViewPosByCell(233, 261)
CppScriptMgr:SetViewPosByCell(125,188)


------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()

hero:SetDir(7)
hero:SetPos(125,188)
local heroName = hero:GetName();
local heroSex = hero:GetSex();

CppScriptMgr:AddEffect("CSGX_jin", 118,188)

CppScriptMgr:AddEffect("bossmykj_lj", 126,189)
hero:SetAction(404)
CppScriptMgr:WaitMilSec(500)
hero:Say("Universal protection!",2000)
CppScriptMgr:AddEffect("NineDragon", 125,188)
CppScriptMgr:WaitMilSec(1000)


 if heroSex == 1 then
	CppScriptMgr:NpcCallOut("Power of Spiritual Sword! Help me pass the trial!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npcTaoistBoy", 150, 430, heroName, 250, 655)
 else
	CppScriptMgr:NpcCallOut("Power of Spiritual Sword! Help me pass the trial!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npcTaoistGirl", 150, 430, heroName, 250, 655)
 end
 
CppScriptMgr:AddEffect("Ia_Cir_coat02", 126,189)
CppScriptMgr:AddEffect("Ia_Cir_coat02", 134,197)
CppScriptMgr:AddEffect("Ia_Cir_coat02", 122,195)
CppScriptMgr:AddEffect("Ia_Cir_coat02", 111,191)
CppScriptMgr:AddEffect("Ia_Cir_coat02", 114,174)
CppScriptMgr:AddEffect("Ia_Cir_coat02", 126,178)
CppScriptMgr:AddEffect("Ia_Cir_coat02", 136,187)


hero:SetAction(406)
hero:Say("Dragon in the sky!",2000)
CppScriptMgr:AddEffect("NineDragon", 125,188)
CppScriptMgr:WaitMilSec(1000)

hero:SetAction(407)
hero:Say("Me and the sword in one!",2000)
CppScriptMgr:AddEffect("DragonSkin0_CX", 125,188)
CppScriptMgr:WaitMilSec(2000)



-- 黑屏, CppScriptMgr:SetDarkScreen(毫秒)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)




